cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bso-intel <...@git.apache.org>
Subject [GitHub] cordova-android pull request: CB-10673 fixed conflicting plugin in...
Date Tue, 01 Mar 2016 15:49:25 GMT
Github user bso-intel commented on the pull request:

    https://github.com/apache/cordova-android/pull/264#issuecomment-190778940
  
    @vladimir-kotikov,
    This is just one example of the conflicting plugins.
    There could be so many plugins out there that requires the same library files.
    Usually, the library files are very commonly used in many plugins.
    Those files usually come from the same cordova-<platform> templates.
    The problem is that we disallow those plugins to be installed with an exception that says
"Uh oh! stacktrace...".
    This makes impossible to use two plugins that use the same library files.
    This is not plugin writer's fault or app developer's fault.
    We may have to print the warning log that says "the library file already exists. skipped
copying them" or "overwrote it.".
    Throwing an exception is too strict in my opinion.
    



---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
For additional commands, e-mail: dev-help@cordova.apache.org


Mime
View raw message